group "CommoditySwapDetails.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 8 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
effectiveDate?, terminationDate?, settlementCurrency?, commoditySwapLeg*, (commonPricing?, marketDisruption?, settlementDisruption?, rounding?)?

Content Model Elements (8):

  commoditySwapLeg,
  commonPricing,
  effectiveDate (defined in CommoditySwapDetails.model group),
  marketDisruption (defined in CommodityContent.model group),
  rounding (defined in CommodityContent.model group),
  settlementCurrency (defined in CommoditySwapDetails.model group),
  settlementDisruption,
  terminationDate (defined in CommoditySwapDetails.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  CommoditySwap, CommoditySwaptionUnderlying

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommoditySwapDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="commoditySwapLeg"/> <xsd:group minOccurs="0" ref="CommodityContent.model"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/8)
commoditySwapLeg

  Type: | CommoditySwapLeg, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 6 elements

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="commoditySwapLeg"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency into which the Commodity Swap Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted on a given floating leg of the Commodity Swap Transaction, then an FX rate should also be specified for that leg.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.